Open SCAP Library

Macros | Typedefs | Functions
oscap_error.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Macros
#define | OSCAP_ERROR_H
OpenSCAP error families
#define | OSCAP_EFAMILY_NONE 0
| None.
#define | OSCAP_EFAMILY_GLIBC 1
| Errno errors.
#define | OSCAP_EFAMILY_XML 2
| Libxml errors.
#define | OSCAP_EFAMILY_OSCAP 3
| OSCAP general errors.
#define | OSCAP_EFAMILY_OVAL 4
| OVAL errors (OVAL & probes)
#define | OSCAP_EFAMILY_XCCDF 5
| XCCDF errors.
#define | OSCAP_EFAMILY_SCE 6
| SCE errors.
#define | OSCAP_EFAMILY_NET 7
| Errors from network communication. More...

## Typedefs
typedef uint16_t | oscap_errfamily_t
| Error family type.

## Functions
void | oscap_clearerr (void)
| Clear an error.
bool | oscap_err (void)
| Check for an error.
oscap_errfamily_t | oscap_err_family (void)
| Get last error family.
const char * | oscap_err_desc (void)
| Get last error description.
char * | oscap_err_get_full_error (void)
| Get the full description for all the errors which has occured in this thread since the last call of this function or oscap_clearerr. More...